LLVM: lldb::SBModuleSpecList Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
lldb::SBModuleSpecList Class Reference

`#include <SBModuleSpec.h>`

## Public Member Functions
| SBModuleSpecList ()
| SBModuleSpecList (const SBModuleSpecList &rhs)
| ~SBModuleSpecList ()
SBModuleSpecList & | operator= (const SBModuleSpecList &rhs)
void | Append (const SBModuleSpec &spec)
void | Append (const SBModuleSpecList &spec_list)
SBModuleSpec | FindFirstMatchingSpec (const SBModuleSpec &match_spec)
SBModuleSpecList | FindMatchingSpecs (const SBModuleSpec &match_spec)
size_t | GetSize ()
SBModuleSpec | GetSpecAtIndex (size_t i)
bool | GetDescription (lldb::SBStream &description)

## Static Public Member Functions
static SBModuleSpecList | GetModuleSpecifications (const char *path)

## Detailed Description

Definition at line 112 of file SBModuleSpec.h.

## Constructor & Destructor Documentation

lldb::SBModuleSpecList::SBModuleSpecList | ( |  | ) |

lldb::SBModuleSpecList::SBModuleSpecList | ( | const SBModuleSpecList & | rhs | ) |

lldb::SBModuleSpecList::~SBModuleSpecList | ( |  | ) |

## Member Function Documentation

void lldb::SBModuleSpecList::Append | ( | const SBModuleSpec & | spec | ) |

void lldb::SBModuleSpecList::Append | ( | const SBModuleSpecList & | spec_list | ) |

SBModuleSpec lldb::SBModuleSpecList::FindFirstMatchingSpec | ( | const SBModuleSpec & | match_spec | ) |

SBModuleSpecList lldb::SBModuleSpecList::FindMatchingSpecs | ( | const SBModuleSpec & | match_spec | ) |

bool lldb::SBModuleSpecList::GetDescription | ( | lldb::SBStream & | description | ) |

static SBModuleSpecList lldb::SBModuleSpecList::GetModuleSpecifications | ( | const char * | path | ) |
| static

size_t lldb::SBModuleSpecList::GetSize | ( |  | ) |

SBModuleSpec lldb::SBModuleSpecList::GetSpecAtIndex | ( | size_t | i | ) |

SBModuleSpecList& lldb::SBModuleSpecList::operator= | ( | const SBModuleSpecList & | rhs | ) |

The documentation for this class was generated from the following file:

- SBModuleSpec.h